<div ng-cloak>

    <div class="row">
        <!-- <div class="col-xs-12 col-sm-8 col-md-6 left">
             &lt;!&ndash; <h1 class="text-uppercase" data-translate="home.pathologies"></h1>&ndash;&gt;
         </div>-->
        <div class="col-md-offset-6  right">
            <select class="form-control form-group-lg grey-background" name="form_type" ng-model="vm.selectedOptionAge"
                    ng-init="vm.selectedOptionAge='0'"
                    required>
                <option selected value="0" data-translate="probioticApp.Age.age"></option>
                <option value="Adulto" data-translate="probioticApp.Age.Adulto"></option>
                <option value="Pediatrico" data-translate="probioticApp.Age.Pediatrico"></option>
                <!--<option ng-repeat="pathology in vm.pathology[0].evidences | unique: 'dosageAge'"  value="{{pathology.dosageAge}}-1"> {{pathology}}</option>-->

            </select>
        </div>


        <!-- <div class="col-md-offset-6  right">
             <select class="btn" name="form_type" ng-model="vm.selectedOptionAge"
                     ng-init="vm.selectedOptionAge='0'"
                     required>
                 <option selected value="0"> Edad</option>
                 <option value="Adulto"> Adulto</option>
                 <option value="Pediatrico"> Pediatrico</option>
                 &lt;!&ndash;<option ng-repeat="pathology in vm.pathology[0].evidences | unique: 'dosageAge'"  value="{{pathology.dosageAge}}-1"> {{pathology}}</option>&ndash;&gt;

             </select>
         </div>


 -->
    </div>
    <br>

    <div ng-repeat="patho in vm.pathology track by patho.id">
        <div class="row">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <div class="panel-heading">
                        <h2 style="display:inline"><b>{{patho.name}}</b>
                            <small> ({{patho.pathologytypeName}})</small>
                        </h2>
                    </div>
                </div>

                <div class="panel-body">
                    <div class="list-group">
                        <div class="list-group-item list-group-item-danger"
                             ng-show="vm.selectedOptionAge == 'Adulto' && patho.Age == 'Pediatrico'">
                            No hay probióticos disponibles para rango de edad adultos.
                        </div>
                        <div class="list-group-item list-group-item-danger"
                             ng-show="vm.selectedOptionAge == 'Pediatrico' && patho.Age == 'Adulto'">
                            No hay probióticos disponibles para rango de edad pediátrico.
                        </div>

                        <div ng-repeat="(key1,value1) in patho.evidences | groupBy: 'probioticName'">
                            <div ng-repeat="(key2, value2) in value1 | groupBy:'dosageAge'">
                                <div ng-show="vm.selectedOptionAge == '{{key2}}' || vm.selectedOptionAge == 0">
                                    <h3 class="list-group-item list-group-item-success">{{key1}}</h3>

                                    <h4 class="list-group-item list-group-item-info"><u>{{key2}}</u></h4>
                                    <div class="list-group-item"
                                         ng-repeat="(key3, value3) in value2 | groupBy:'doseFormName'">
                                        Forma dosis: <b>{{key3}}</b> &nbsp &nbsp &nbsp Evidencia de tipo:
                                        <b>{{value3[0].evidencetypeName}}</b>




                                        <div ng-repeat="probInfo in patho.probioticInfo">

                                              <span ng-repeat="strains in probInfo.strains">
                                                  Cepas: <b>{{strains.name}}{{$last ? '' : ', '}}</b>
                                              </span>

                                            <div ng-if="probInfo.have_allergens == '1'">
                                                <span ng-if="probInfo.allergens == ''">
                                                   <b> No tiene alérgenos. </b>
                                                </span>
                                                <span ng-repeat="allergens in probInfo.allergens">
                                                    Alérgenos: <b> {{allergens.name}}{{$last ? '' : ', '}} </b>
                                                </span>
                                            </div>

                                            <div ng-if="probInfo.have_allergens == '0'">
                                                <span>
                                                   <b> No hay información sobre los alérgenos. </b>
                                                </span>
                                            </div>


                                            <a ng-click="value3[0].show =!value3[0].show" class="showreferences">  <b> Ver referencias </b></a>

                                            <div ng-repeat="references in value3[0].evidencereferences">

                                                <!--   <b tooltip-placement="top"
                                                      uib-tooltip="{{references.id}} - {{references.text}}">-->

                                                <!--</b>-->


                                                <div ng-show="value3[0].show">
                                                    <b>{{references.id}}</b> - {{references.text}}
                                                </div>
                                            </div>
                                        </div>


                                        </div>
                                    </div>


                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!--<div class="row">
                <div class="col-md-12">
                    <h2> Probióticos recomendados</h2>
                </div>
            </div>



                <div ng-repeat="(key1,value1) in patho.evidences | groupBy: 'probioticName'">
                    <div  ng-repeat="(key2, value2) in value1 | groupBy:'dosageAge'">
                        <div ng-show="vm.selectedOptionAge == '{{key2}}' || vm.selectedOptionAge == 0">
                            <h3>{{key1}}</h3>
                            <h4>{{key2}}</h4>

                            <li ng-repeat="(key3, value3) in value2 | groupBy:'doseFormName'">

                                Forma dosis: {{key3}}

                                Evidencia tipo : {{value3[0].evidencetypeName}}


                            </li>
                        </div>
                    </div>
                </div>

    -->
            <!-- <li ng-repeat="(key2, value2) in value1 | groupBy:'doseFormName'">

                 Forma dosis: {{key2}} con evidencia tipo :

                 <div ng-repeat="probioticData in value2">
                     <p ng-show="probioticData.evidencedosage.dosageAge=='Adulto' && vm.selectedOptionAge == 'Pediatrico'">
                         No disponible para Pediátrico.
                     </p>
                     <p ng-show="probioticData.evidencedosage.dosageAge=='Pediatrico' && vm.selectedOptionAge == 'Adulto'">
                         No disponible para Adulto.
                     </p>
                     <p ng-show="vm.selectedOptionAge == probioticData.dosageAge || (vm.selectedOptionAge == 0)">
                         Recomendado en: {{probioticData.dosageAge}} con una evidencia de tipo: {{probioticData.evidencetypeName}}
                     </p>

                 </div>
             </li>-->
        </div>
    </div>

    <div class="row">
        <button type="submit"
                ui-sref="{{ vm.previousState }}"
                class="btn btn-info">
            <span class="glyphicon glyphicon-arrow-left"></span>&nbsp;<span
            data-translate="entity.action.back"> Back</span>
        </button>

    </div>
